xubuntu-default-settings (25.04.2) plucky; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml:
    - Remove obsolete desktop wallpaper settings
  * debian/xubuntu-default-settings.gsettings-override,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml,
    usr/share/lightdm/lightdm-gtk-greeter.conf.d/30_xubuntu.conf:
    - Replace obsolete icon theme elementary-xfce-dark with elementary-xfce

 -- Sean Davis <sean@bluesabre.org>  Thu, 10 Apr 2025 06:41:04 -0400

xubuntu-default-settings (25.04.1) plucky; urgency=medium

  * etc/skel/.config/gtk-3.0/settings.ini,
    etc/skel/.config/gtk-4.0/settings.ini:
    - Set gtk-print-preview-command to atril (LP: #2025332)

 -- Sean Davis <sean@bluesabre.org>  Thu, 30 Jan 2025 06:44:56 -0500

xubuntu-default-settings (25.04.0) plucky; urgency=medium

  * etc/xdg/xdg-xubuntu/autostart/xcape-super-binding.desktop,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml,
    debian/xubuntu-default-settings.maintscript:
    - Replace xcape Super key binding with native support (LP: #2084326)

 -- Sean Davis <sean@bluesabre.org>  Mon, 25 Nov 2024 05:28:49 -0500

xubuntu-default-settings (24.04.4) noble; urgency=medium

  * debian/live/desktop-provision/slides:
    - Install a customized installer slideshow (LP: #2061994)

 -- Sean Davis <sean@bluesabre.org>  Wed, 17 Apr 2024 07:30:42 -0400

xubuntu-default-settings (24.04.3) noble; urgency=medium

  * debian/live/desktop-provision/images/mascot.png,
    debian/live/desktop-provision/whitelabel.yaml:
    - Customize the flutter installer screens

 -- Sean Davis <sean@bluesabre.org>  Sat, 30 Mar 2024 06:54:20 -0400

xubuntu-default-settings (24.04.2) noble; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc.in:
    - Replace GNOME Software favorite with Snap Store
  * usr/share/xubuntu/applications/defaults.list:
    - Drop/replace non-existent launcher associations
    - Switch audio/video generic ogg handler to Parole
    - Add newly-supported MIME types

 -- Sean Davis <sean@bluesabre.org>  Sat, 23 Mar 2024 06:18:33 -0400

xubuntu-default-settings (24.04.1) noble; urgency=medium

  * debian/rules,
    debian/xubuntu-live-settings.xubuntu-installer.user.service:
    - Boot ISO with try-or-install screen

 -- Sean Davis <sean@bluesabre.org>  Fri, 08 Mar 2024 10:34:29 -0500

xubuntu-default-settings (24.04.0) noble; urgency=medium

  * debian/live/desktop-provision,
    debian/xubuntu-live-settings.install:
    - Install desktop-provision/whitelabel.yaml for the new
      ubuntu-desktop-bootstrap installer

 -- Sean Davis <sean@bluesabre.org>  Fri, 23 Feb 2024 08:03:36 -0500

xubuntu-default-settings (23.10.1) mantic; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Use new keys for persisting parole and rhythmbox (LP: #2036352)

 -- Sean Davis <sean@bluesabre.org>  Tue, 03 Oct 2023 06:47:15 -0400

xubuntu-default-settings (23.10.0) mantic; urgency=medium

  * etc/xdg/xdg-xubuntu/menus/xfce-settings-manager.menu,
    usr/share/xubuntu/applications/po/POTFILES.in,
    usr/share/xubuntu/applications/po/xds-desktop-files.pot,
    usr/share/xubuntu/applications/settings-hardware-sound.desktop.in:
    - Remove duplicate "Sound" .desktop file
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml:
    - Set matching Xfwm4 theme when selecting Gtk theme
  * debian/xubuntu-default-settings.gsettings-override,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml:
    - Use elementary-xfce-dark instead of darker
  * debian/control:
    - Bump Standards-Version to 4.6.2

 -- Sean Davis <sean@bluesabre.org>  Tue, 19 Sep 2023 21:30:19 -0400

xubuntu-default-settings (23.04.0) lunar; urgency=medium

  * debian/rules,
    etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc.in:
    - Enable translations for Whisker Menu (LP: #1926180)
  * usr/share/xubuntu/applications/defaults.list:
    - Fix default association for debian packages (LP: #1993063)
  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Update panel and plugin properties (LP: #1993186)
    - Use automatic icon size for systray
  * etc/xdg/xdg-xubuntu/xfce4/terminal/terminalrc:
    - Increase terminal font size to 10 (LP: #1819466)
  * debian/control:
    - Bump Standards-Version to 4.6.1.0

 -- Sean Davis <sean@bluesabre.org>  Fri, 25 Nov 2022 06:13:46 -0500

xubuntu-default-settings (22.10.1) kinetic; urgency=medium

  * debian/control:
    - Move Noto fonts to Recommends, switch to fonts-noto-core (LP: #1891714)
  * etc/xdg/xdg-xubuntu/Thunar/uca.xml.in,
    etc/xdg/xdg-xubuntu/Thunar/accels.scm:
    - Update Thunar custom actions to current template
  * Makefile:
    - Add easier po file regeneration

 -- Sean Davis <sean@bluesabre.org>  Sun, 25 Sep 2022 04:47:01 -0400

xubuntu-default-settings (22.10.0) kinetic; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.6.0.1
    - Update Homepage, Vcs-{Git,Browser} to GitHub
  * etc/xdg/xdg-xubuntu/picom.conf:
    - Add configuration file for picom (compton replacement)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-appfinder.xml:
    - Fix xfce4-appfinder uri handling (LP: #1892651)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Fix super turning into caps when user swaps caps and esc (LP: #1961506)
  * usr/share/xubuntu/applications/xfhelp4.desktop.in:
    - Use help-browser for xfhelp4 icon (LP: #1983747)

 -- Sean Davis <sean@bluesabre.org>  Sun, 18 Sep 2022 06:16:02 -0400

xubuntu-default-settings (22.04.0) jammy; urgency=medium

  * usr/share/xubuntu/applications/defaults.list:
    - Update desktop files to current names (LP: #1967112)
    - Set associations for mimetypes with multiple handlers
    - Replace unsupported mimetype associations (LP: #1764124)
  * etc/xdg/xdg-xubuntu/autostart/xcape-super-binding.desktop:
    - Add Type=Application to show in startup apps (LP: #1963850)
  * debian/xubuntu-default-settings.gconf-defaults,
    debian/rules:
    - Drop obsolete blueman gconf defaults

 -- Sean Davis <sean@bluesabre.org>  Sun, 10 Apr 2022 06:30:04 -0400

xubuntu-default-settings (21.10.3) impish; urgency=medium

  * etc/xdg/xdg-xubuntu/autostart/xcape-super-binding.desktop:
    - Add Super key binding to open Whisker Menu

 -- Sean Davis <sean@bluesabre.org>  Thu, 19 Aug 2021 07:36:58 -0400

xubuntu-default-settings (21.10.2) impish; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-screensaver.xml:
    - Removed, conflicting package with xubuntu-live-settings breaks builds.

 -- Sean Davis <sean@bluesabre.org>  Mon, 02 Aug 2021 21:53:26 -0400

xubuntu-default-settings (21.10.1) impish; urgency=medium

  * debian/xubuntu-default-settings.gsettings-override:
    - Enable rhythmbox alternative-toolbar plugin
    - Replace obsolete 'Both' setting for org.xfce.mousepad.state.search
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/thunar.xml:
    - Enable full path in Thunar titlebar
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Remove obsolete Super+{1,3,4} keyboard shortcuts
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-screensaver.xml:
    - Set 'onboard -e' as default on-screen keyboard command

 -- Sean Davis <sean@bluesabre.org>  Sat, 31 Jul 2021 19:38:45 -0400

xubuntu-default-settings (21.10.0) impish; urgency=medium

  * debian/xubuntu-default-settings.gsettings-override,
    etc/xdg/xdg-xubuntu/xfce4/panel/default.xml,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml,
    usr/share/xubuntu/applications/defaults.list:
    - Integrate rhythmbox (LP: #1934926)
  * debian/live/whiskermenu-1.rc,
    etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc,
    etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Remove shortcuts for pidgin (LP: #1936417)
  * etc/skel/.config/hexchat/servlist.conf:
    - Switch Freenode to Libera
  * debian/control:
    - Bump Standards-Version to 4.5.1
    - Bump debhelper-compat to 13
  * debian/source/lintian-overrides:
    - Deleted, no longer needed

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 21 Jul 2021 17:16:57 -0400

xubuntu-default-settings (21.04.2) hirsute; urgency=medium

  * usr/share/xubuntu/applications/po/xds-desktop-files.pot:
    - Make the new Sound entry translateable
  * Translation updates: ar, de, en, es, fr, hi, hu, id, it, ko, lt,
    nl, oc, pl, pt, sk, tr, ur

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 17 Apr 2021 05:58:03 -0400

xubuntu-default-settings (21.04.1) hirsute; urgency=medium

  * debian/xubuntu-default-settings.gsettings-override:
    - Set window size of file dialog to ensure it fits on screen
  * etc/xdg/xdg-xubuntu/menus/xfce-settings-manager.menu,
    usr/share/xubuntu/applications/settings-hardware-sound.desktop.in,
    usr/share/xubuntu/applications/po/POTFILES.in:
    - Add Sound entry to Hardware section of Settings Manager
  * etc/xdg/xdg-xubuntu/menus/xfce-applications.menu:
    - Exclude Texinfo and Pavucontrol from menu
  * etc/skel/.config/hexchat/hexchat.conf,
    etc/skel/.config/hexchat/servlist.conf:
    - Add hexchat config to preselect freenode and join #xubuntu

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 22 Feb 2021 22:37:02 -0500

xubuntu-default-settings (21.04.0) hirsute; urgency=medium

  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml:
    - Set Gtk/CursorThemeName to DMZ-White (LP: #1838008)
  * etc/xdg/xdg-xubuntu/menus/xfce-applications.menu:
    - Hide confusing xfce4-terminal-settings.desktop
  * usr/share/xubuntu/applications/xfce4-terminal.desktop:
    - Dropped, enable showing in the menu (LP: #1851387)
  * etc/xdg/xdg-xubuntu/xfce4/panel/default.xml:
    - Migrate statusnotifier to systray and remove from panel (LP: #1907871)
    - Remove separator between clock and tray, add padding
    - Enable pulseaudio plugin window focus support
  * etc/xdg/xdg-xubuntu/xfce4/helpers.rc:
    - Change FileManager key to lowercase thunar to fix defaults
  * debian/live/whiskermenu-1.rc,
    etc/xdg/xdg-xubuntu/menus/xfce-applications.menu,
    etc/xdg/xdg-xubuntu/xfce4/whiskermenu/defaults.rc,
    usr/share/xubuntu/applications/defaults.list:
    - Replace exo-* with xfce4-* commands
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml:
    - Hide default icons: File System and Removable Devices
    - Exclude applications menu on desktop right click
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/thunar.xml:
    - Switch default location selector to path bar
    - Enabled opening folders in new tab on middle click
    - Disabled changing window icon for special folders
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Apply upstream keyboard bindings:
      - Ctrl+Alt+Delete: xfce4-session-logout
      - Ctrl+Shift+Escape: xfce4-taskmanager
      - Super+R: xfrun4
      - Super+E, Ctrl+Alt+F: exo-open --launch FileManager

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 12 Dec 2020 14:26:01 -0500

xubuntu-default-settings (20.04.4) focal; urgency=medium

  * debian/xubuntu-default-settings.install: be more explicit on what to
    install, as otherwise we're picking up the recently added
    ubuntu_installed.png on both the default and live packages.
  * debian/rules: add dh_missing --fail-missing to catch potential files that
    we forgot to install.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 20 Apr 2020 18:55:55 +0200

xubuntu-default-settings (20.04.3) focal; urgency=medium

  * debian/xubuntu-live-settings.{install,preinst,postrm},
    usr/share/ubiquity/pixmaps/ubuntu_installed.png:
    - Divert default Ubiquity Ubuntu branding with Xubuntu branding
      (LP: #1867515)

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 15 Apr 2020 21:24:21 -0400

xubuntu-default-settings (20.04.2) focal; urgency=medium

  * debian/live/feh.desktop, debian/xubuntu-live-settings.install:
    - Hide feh launcher, only used for ubiquity background (LP: #1872058)

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 12 Apr 2020 13:19:55 -0400

xubuntu-default-settings (20.04.1) focal; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.5.0
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml:
    - Fix Super+D shortcut by blocking the original (LP: #1866537)
  * usr/share/polkit-1/*
    - Dropped, Mousepad now provides its own polkit actions
  * Refresh translations from Launchpad

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 09 Apr 2020 06:56:50 -0400

xubuntu-default-settings (20.04) focal; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.4.0
    - Add Rules-Requires-Root: no
    - Update Vcs- locations
  * debian/control, debian/compat:
    - Bump debhelper to version 12
  * debian/live/*:
    - Move live config files to subdirectory
  * debian/live/whiskermenu-1.rc,
    debian/xubuntu-live-settings.install:
    - Remove lock menu option in live since locking is disabled (LP: #1835668)
  * debian/live/light-locker.desktop,
    debian/xubuntu-live-settings.install:
    - Remove light-locker autostart entry since we no longer ship it
  * debian/source/lintian-overrides:
    - Add override for testsuite-autopkgtest-missing
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml:
    - Drop workspace labels, inconsistent with 5+ workspaces (LP: #1829778)
  * etc/xdg/xdg-xubuntu/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml:
    - Set the Xubuntu wallpaper as default for up to 4 displays
  * etc/xdg/xdg-xubuntu/menus/xfce-applications.menu,
    etc/xdg/xdg-xubuntu/menus/xfce-settings-manager.menu:
    - Workaround menu handling errors in pyxdg (LP: #1833863)

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 09 Nov 2019 11:42:38 -0500

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog xubuntu-default-settings`.
